## org.gnu.glib
Class Error

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.glib.Error

public class Error
extends MemStruct

The class represents an internal representation of an Error from the GTK and GNOME libraries. It should never be returned to the application layer. The Java-GNOME API should throw an exception that contains the relevant information contained within this object. This resource must be freed when you are finished with it via the free() method.

Constructor Summary
`Error(org.gnu.glib.Handle handle)`
`Error(Quark domain, int code, java.lang.String message)` Construct a new Error object.

Method Summary
`Quark` `getDomain()` Return the domain for this error.
`int` `getErrorCode()` Return the error code associated with this error.
`java.lang.String` `getErrorMessage()` Return the error message associated with this error.

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Error

    public Error(Quark domain,
                 int code,
                 java.lang.String message)

  Construct a new Error object. This object is used to retrieve errors from the native layer. The java-gnome library will rarely return an object of this type. It will convert it into an exception that will be thrown to the application layer.

### Error

    public Error(org.gnu.glib.Handle handle)

Method Detail

### getDomain

    public Quark getDomain()

  Return the domain for this error.

  Returns:
    The Quark object that represents the domain for this error.

### getErrorCode

    public int getErrorCode()

  Return the error code associated with this error.

  Returns:
    The error code for this error.

### getErrorMessage

    public java.lang.String getErrorMessage()

  Return the error message associated with this error.

  Returns:
    The error message for this error.